
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;

use File::ShareDir::Install;
install_share dist => "share";


my %WriteMakefileArgs = (
  "ABSTRACT" => "L<AnyEvent> based L<https://github.com/github/hubot>",
  "AUTHOR" => "Hyungsuk Hong <hshong\@perl.kr>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30",
    "File::ShareDir::Install" => "0.03"
  },
  "DISTNAME" => "Hubot",
  "EXE_FILES" => [
    "bin/hubot"
  ],
  "LICENSE" => "perl",
  "NAME" => "Hubot",
  "PREREQ_PM" => {
    "AnyEvent" => 0,
    "AnyEvent::Campfire::Client" => 0,
    "AnyEvent::HTTP" => 0,
    "AnyEvent::HTTP::ScopedClient" => 0,
    "AnyEvent::HTTPD" => 0,
    "AnyEvent::IRC::Client" => 0,
    "Cwd" => 0,
    "Encode" => 0,
    "File::Copy" => 0,
    "File::Copy::Recursive" => 0,
    "File::Path" => 0,
    "File::ShareDir" => 0,
    "File::Spec::Functions" => 0,
    "HTTP::Request" => 0,
    "JSON" => 0,
    "JSON::XS" => 0,
    "LWP::UserAgent" => 0,
    "Moose" => 0,
    "Pod::Usage" => 0,
    "Time::HiRes" => 0,
    "Try::Tiny" => 0,
    "URI" => 0,
    "URI::Escape" => 0,
    "URI::QueryParam" => 0,
    "namespace::autoclean" => 0
  },
  "TEST_REQUIRES" => {},
  "VERSION" => "0.2.5",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "AnyEvent" => 0,
  "AnyEvent::Campfire::Client" => 0,
  "AnyEvent::HTTP" => 0,
  "AnyEvent::HTTP::ScopedClient" => 0,
  "AnyEvent::HTTPD" => 0,
  "AnyEvent::IRC::Client" => 0,
  "Cwd" => 0,
  "Encode" => 0,
  "File::Copy" => 0,
  "File::Copy::Recursive" => 0,
  "File::Path" => 0,
  "File::ShareDir" => 0,
  "File::Spec::Functions" => 0,
  "HTTP::Request" => 0,
  "JSON" => 0,
  "JSON::XS" => 0,
  "LWP::UserAgent" => 0,
  "Moose" => 0,
  "Pod::Usage" => 0,
  "Time::HiRes" => 0,
  "Try::Tiny" => 0,
  "URI" => 0,
  "URI::Escape" => 0,
  "URI::QueryParam" => 0,
  "namespace::autoclean" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

{
package
MY;
use File::ShareDir::Install qw(postamble);
}


